id: python-phish

info:
  name: python phishing Detection
  author: rxerium
  severity: info
  description: |
    A python phishing website was detected
  reference:
    - https://python.org
  metadata:
    max-request: 1
  tags: phishing,python,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Welcome to Python.org'
          - 'The official home of the Python Programming Language'
        condition: and


      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"python.org")'
# digest: 490a00463044022063f8e5af92deebd860d19ca81d09e11c971db62f99bd1f9e6ff8410bdaa5b63702202b55bea3985f37d31317a1eed19173d92e21d95f2e8c912b9ceb5bb7607cb6ee:922c64590222798bb761d5b6d8e72950